<?php

/*
+---------------------------------------------------------------------------+
| Revive Adserver                                                           |
| http://www.revive-adserver.com                                            |
|                                                                           |
| Copyright: See the COPYRIGHT.txt file.                                    |
| License: GPLv2 or later, see the LICENSE.txt file.                        |
+---------------------------------------------------------------------------+
*/

require_once LIB_PATH . '/Extension/deliveryLimitations/DeliveryLimitationsCommaSeparatedData.php';
require_once MAX_PATH . '/lib/max/Plugin/Translation.php';
require_once MAX_PATH . '/lib/max/Delivery/limitations.delivery.php';

/**
 * A Client delivery limitation plugin, for filtering delivery of ads on the
 * basis of the viewer's domain URL.
 *
 * Works with a string which is matched with the viewer's domain URL.
 * The mechanism of the matching depends on the operator being used.
 *
 * Valid comparison operators:
 * ==, !=, =~, !~, =x, ~x
 *
 * @package    OpenXPlugin
 * @subpackage DeliveryLimitations
 */
class Plugins_DeliveryLimitations_Client_Mobilescreenwidth extends Plugins_DeliveryLimitations_CommaSeparatedData
{
    function __construct()
    {
              parent::__construct();
		
        $this->aOperations = [
            '==' => 'is equal to',
            '!=' => 'is not equal to',
        ] ;
        $this->nameEnglish = 'Mobile - Mobile Screen Width';
    }
        function init($data)
    {
		
        parent::init($data);
  
    }



    function displayArrayData()
    {
        $tabindex =& $GLOBALS['tabindex'];
		echo "<table width='275' cellpadding='0' cellspacing='0' border='0'>";
		
		echo "<tr id='acl-".$this->executionorder."'>";
	    echo "    <th align='center'>".$this->translate('Width')."</th>";
		echo "    <td align='center'><input type='text'  name='acl[{$this->executionorder}][data][]' value='" . ((!empty($this->data[0])) ? htmlspecialchars($this->data[0], ENT_QUOTES) : '') . "' tabindex='".($tabindex++)."'></td></br>";
		echo "</tr>";
		
	
		
		echo "</table>";
		
		?>
		    
		<?php
    }
  
		function _flattenData($data = null)
    {
      
        $result = parent::_flattenData($data);
        
        if (is_array($result)) {

            return implode($this->delimiter, $result);
        }
        return $result;
    }


    
}

?>
