<?php

/*
+---------------------------------------------------------------------------+
| Revive Adserver                                                           |
| http://www.revive-adserver.com                                            |
|                                                                           |
| Copyright: See the COPYRIGHT.txt file.                                    |
| License: GPLv2 or later, see the LICENSE.txt file.                        |
+---------------------------------------------------------------------------+
*/

/**
 * @package    OpenXPlugin
 * @subpackage DeliveryLimitations
**/ 

require_once MAX_PATH .'/lib/pear/Date/TimeZone.php';
$aTimezoneKey = Date_TimeZone::getAvailableIDs();

global $_DATE_TIMEZONE_DATA;

$_aTimezoneBcData = array(
	'Brazil/Acre', 'Brazil/DeNoronha', 'Brazil/East', 'Brazil/West', 'Canada/Atlantic',
	'Canada/Central', 'Canada/East-Saskatchewan', 'Canada/Eastern', 'Canada/Mountain',
	'Canada/Newfoundland', 'Canada/Pacific', 'Canada/Saskatchewan', 'Canada/Yukon',
	'CET', 'Chile/Continental', 'Chile/EasterIsland', 'CST6CDT', 'Cuba', 'EET',
	'Egypt', 'Eire', 'EST', 'EST5EDT', 'Etc/GMT', 'Etc/GMT+0', 'Etc/GMT+1', 'Etc/GMT+10',
	'Etc/GMT+11', 'Etc/GMT+12', 'Etc/GMT+2', 'Etc/GMT+3', 'Etc/GMT+4', 'Etc/GMT+5',
	'Etc/GMT+6', 'Etc/GMT+7', 'Etc/GMT+8', 'Etc/GMT+9', 'Etc/GMT-0', 'Etc/GMT-1',
	'Etc/GMT-10', 'Etc/GMT-11', 'Etc/GMT-12', 'Etc/GMT-13', 'Etc/GMT-14', 'Etc/GMT-2',
	'Etc/GMT-3', 'Etc/GMT-4', 'Etc/GMT-5', 'Etc/GMT-6', 'Etc/GMT-7', 'Etc/GMT-8',
	'Etc/GMT-9', 'Etc/GMT0', 'Etc/Greenwich', 'Etc/UCT', 'Etc/Universal', 'Etc/UTC',
	'Etc/Zulu', 'Factory GB', 'GB', 'GB-Eire', 'GMT', 'GMT+0', 'GMT-0', 'GMT0', 'Greenwich',
	'Hongkong', 'HST', 'Iceland', 'Iran', 'Israel', 'Jamaica', 'Japan', 'Kwajalein',
	'Libya', 'MET', 'Mexico/BajaNorte', 'Mexico/BajaSur', 'Mexico/General',
	'MST', 'MST7MDT', 'Navajo', 'NZ', 'NZ-CHAT', 'Poland', 'Portugal', 'PRC',
	'PST8PDT', 'ROC', 'ROK', 'Singapore', 'Turkey', 'UCT', 'Universal', 'US/Alaska',
	'US/Aleutian', 'US/Arizona', 'US/Central', 'US/East-Indiana', 'US/Eastern',
	'US/Hawaii', 'US/Indiana-Starke', 'US/Michigan', 'US/Mountain', 'US/Pacific',
	'US/Pacific-New', 'US/Samoa', 'W-SU', 'WET', 'Zulu');

if (!defined('MAX_PATH')) {
	$tz = self::getTimezone();
} else {
	$tz = $GLOBALS['_MAX']['PREF']['timezone'] ?? self::getTimezone();
}

$tzSave = date_default_timezone_get();
foreach ($aTimezoneKey as $key) {
	if (!@date_default_timezone_set($key)) continue;
	if ((in_array($tz, $_aTimezoneBcData) && $key == $tz) || !in_array($key, $_aTimezoneBcData)) {
		// Calculate the timezone offset
		
				$offset = ((($_DATE_TIMEZONE_DATA[$key]['offset'] / 1000 ) / 60 ) / 60);

				//  calculate offset hours
				$offsetHours = str_pad((int) abs($offset), 2, 0, STR_PAD_LEFT);

				// retrieve percentage and if only one character add ending 0
				$offsetMinutes = strstr($offset, '.');
				$offsetMinutes = (strlen($offsetMinutes) >= 2) ? $offsetMinutes : str_pad($offsetMinutes, 2, 0);

				//  caculate minutes
				$offsetMinutes = round((60 * $offsetMinutes), 0);

				//  if minutes < 2 characters add leading zero
				$offsetMinutes = str_pad(((int) $offsetMinutes), 2, 0, STR_PAD_LEFT);

				//  build offset
				$offset = $offsetHours . $offsetMinutes;
		
		
		// Build the arrays used for sorting time zones
		$origOffset = $_DATE_TIMEZONE_DATA[$key]['offset'];
		if ($origOffset >= 0) {
			$aTimezone[$offset][$key] = "$key";
		} else {
			$aNegTimezone[$key] = "$key";
		}
	}
}
date_default_timezone_set($tzSave);

// Sort timezones with positive offsets descending, and negative
// offests ascending.

// Add initial empty key/value pair
if ($addBlank) {
	$aResult[] = '';
}

// Sort time zones
asort($aNegTimezone);

// Reverse array element order while preserving alphabetical order
$hasRun       = false;
foreach ($aTimezone as $offset => $aValue) {
	if ($hasRun == false) {
		$aRevTimezone[] = $aValue;
		$hasRun = true;
	} else {
		array_unshift($aRevTimezone, $aValue);
	}
}

// Build the result array
foreach($aRevTimezone as $aValue) {
	foreach ($aValue as $k => $v) {
		$aResult[$k] = $v;
	}
}
foreach ($aNegTimezone as $key => $value) {
	$aResult[$key] = $value;
}


$res=$aResult;
    
    
?>
