<?php
// Require the initialisation file

require_once '../../../../init.php';
require_once MAX_PATH . '/www/admin/lib-maintenance-priority.inc.php';
require_once MAX_PATH . '/www/admin/lib-statistics.inc.php';
require_once MAX_PATH . '/lib/OX/Translation.php';
require_once MAX_PATH . '/lib/pear/Date.php';
require_once MAX_PATH . '/www/admin/lib-maintenance-priority.inc.php';
require_once MAX_PATH . '/lib/OA/Dll.php';
require_once MAX_PATH . '/lib/OX/Util/Utils.php';
require_once MAX_PATH . '/lib/OX/Admin/UI/ViewHooks.php';

if($GLOBALS['_MAX']['CONF']['database']['type']=='pgsql')
{
    require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';

}
else if($GLOBALS['_MAX']['CONF']['database']['type']=='mysqli')
{
    require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';

}

$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];

// Required files

require_once MAX_PATH . '/lib/OA/Admin/Option.php';

require_once MAX_PATH . '/lib/OA/Admin/Settings.php';

require_once MAX_PATH . '/lib/OA/Creative/File.php';

require_once MAX_PATH . '/lib/max/Plugin/Translation.php';

require_once MAX_PATH . '/www/admin/config.php';



// Required files

require_once MAX_PATH . '/lib/OA/Dal.php';

require_once MAX_PATH . '/lib/max/Admin_DA.php';

OA_Permission::enforceAccount(OA_ACCOUNT_ADMIN);

$oHeaderModel = new OA_Admin_UI_Model_PageHeaderModel("OS Report");
phpAds_PageHeader('os-reports', $oHeaderModel);

// Initialise some parameters
$pageName = basename($_SERVER['SCRIPT_NAME']);
$tabindex = 1;

$_period = !empty($_POST['period_preset']) ? $_POST['period_preset'] : '';

if($_POST['period_preset']!='')
{

	if($_POST['period_preset']=='today')
	{
		$start=date("Y-m-d 00:00:00");//$date=date("Y-m-d H:00:00");
		$end=date("Y-m-d H:00:00");
		$result=time_zone($start,$end);
		$startdate=$result[0];
		$endate=$result[1]; $start=$result[0]; $end=$endate;
	}
	else if($_POST['period_preset']=='yesterday')
	{
		$start=date('Y-m-d 00:00:00', strtotime('Yesterday'));
		$end=date('Y-m-d 23:59:59', strtotime('Yesterday'));
		$result=time_zone($start,$end);
		$startdate=$result[0];
		$endate=$result[1]; $start=$result[0]; $end=$endate;

	}
	else if($_POST['period_preset']=='this_week')
	{
		$start=date('Y-m-d 00:00:00', strtotime('this week Monday'));
		$end=date('Y-m-d 23:59:59');
		$result=time_zone($start,$end);
		$startdate=$result[0];
		$endate=$result[1]; $start=$result[0]; $end=$endate;
	}
	else if($_POST['period_preset']=='last_week')
	{
		$previous_week = strtotime("-1 week +1 day");
		$start_week = strtotime("last monday midnight",$previous_week);
		$end_week = strtotime("next friday",$start_week);

		$start = date("Y-m-d 00:00:00",$start_week);
		$end = date("Y-m-d 23:59:59",$end_week);
		$result=time_zone($start,$end);
		$startdate=$result[0];
		$endate=$result[1]; $start=$result[0]; $end=$endate;
	}
	else if($_POST['period_preset']=='last_7_days')
	{
		$start=date('Y-m-d 00:00:00', strtotime('Today - 7 Day'));
		$end=date('Y-m-d 23:59:59',strtotime('Today - 1 Day'));
		
		$result=time_zone($start,$end);
			
		$startdate=$result[0];
		$endate=$result[1]; $start=$result[0]; $end=$endate;
	}
	else if($_POST['period_preset']=='this_month')
	{
		$start=date('Y-m-d 00:00:00', mktime(0, 0, 0, date('m'), 1, date('Y')));
		$end=date('Y-m-d 23:59:59');
		$result=time_zone($start,$end);
			
		$startdate=$result[0];
		$endate=$result[1]; $start=$result[0]; $end=$endate;
	}
	else if($_POST['period_preset']=='last_month')
	{
		$start=date('Y-m-d 00:00:00', mktime(0, 0, 0, (date('m') - 1), 1, date('Y')));
		$end=date('Y-m-d 23:59:59', mktime(0, 0, 0, date('m'), 0, date('Y')));
		$result=time_zone($start,$end);
		$startdate=$result[0];
		$endate=$result[1]; $start=$result[0]; $end=$endate;
	}
	else if($_POST['period_preset']=='all_stats')
	{
		$start=date("0000-00-00 00:00:00");
		$end=date("Y-m-d 23:59:59");
		$result=time_zone($start,$end);
		$start='0000-00-00 00:00:00'; $end=$result[1];$startdate=$start;
		$endate=$result[1];
	}
	else if($_POST['period_preset']=='specific')
	{
		$start=$_POST['period_start'];
		$end=$_POST['period_end'];
		$result=time_zone($start,$end);
		$start=$result[0]; $end=$result[1];$startdate=$result[0];
		$endate=$result[1];
	}

}
else
{
	$start=date("Y-m-d 00:00:00");
	$end=date("Y-m-d H:00:00");
	$result=time_zone($start,$end);
	$startdate=$result[0];
	$endate=$result[1]; $start=$result[0]; $end=$endate;
}

if($start == '' && $end == '')
    {
	
	 $query = OA_Dal_Delivery_query("SELECT sum(d.impressions) as imps,sum(d.clicks) as clks,d.os as os FROM {$table_prefix}stats_advtracking as d where creative_id !=0 AND d.os!='' group by os");

     }
    else 
    {

	  $query = OA_Dal_Delivery_query("SELECT sum(d.impressions) as imps,sum(d.clicks) as clks,d.os as os FROM {$table_prefix}stats_advtracking as d WHERE d.date_time BETWEEN '".$startdate."' and '".$endate."' AND creative_id !=0 AND d.os!='' group by os");	
     }
function time_zone($start,$end)
{
$end_date =  date('Y-m-d',strtotime($end));	
$end_day = new Date($end_date);
$end_day->setHour(23);
$end_day->setMinute(59);
$end_day->setSecond(59);
$end_day->toUTC();
$end_date=$end_day->format('%Y-%m-%d %H:%M:%S');
$start_day=new Date($start);
$start_day->setHour(0);
$start_day->setMinute(0);
$start_day->setSecond(0);
$start_day->toUTC();
$start_date=$start_day->format('%Y-%m-%d %H:%M:%S'); 
$date[]=$start_date;
$date[]=$end_date;
return $date;	
}

?>
<form method='post'>
           <select name='period_preset' id='period_preset' onchange='periodFormChange(1)' tabindex='1'>
            <option value='today' selected='selected'>Today</option>

            <option value='yesterday' <?php if($_period == "yesterday") : ?> selected="selected" <?php endif; ?> >Yesterday</option>
            <option value='this_week' <?php if($_period == "this_week") : ?> selected="selected" <?php endif; ?> >This week</option>
            <option value='last_week' <?php if($_period == "last_week") : ?> selected="selected" <?php endif; ?> > Last week</option>
            <option value='last_7_days' <?php if($_period == "last_7_days") : ?> selected="selected" <?php endif; ?> >Last 7 days</option>
            <option value='this_month' <?php if($_period == "this_month") : ?> selected="selected" <?php endif; ?> >This month</option>
            <option value='last_month' <?php if($_period == "last_month") : ?> selected="selected" <?php endif; ?> >Last month</option>

            <option value='all_stats' <?php if($_period == "all_stats") : ?> selected="selected" <?php endif; ?> >All statistics</option>
            <option value='specific' <?php if($_period == "specific") : ?> selected="selected" <?php endif; ?> >Specific dates</option>
        </select>

        <label for='period_start' style='margin-left: 1em'></label>
        <input class="date" name="period_start" id="period_start" type="text" value="<?php  if(!empty($start)){ echo $start;}else{ echo date('Y-m-d 00:00:00');}?>" tabindex="2"/>
        <input type='image' src='assets/images/icon-calendar-d.gif' id='period_start_button' align='absmiddle' border='0' tabindex='3' />
        <label for='period_end' style='margin-left: 1em'> </label>

        <input class="date" name="period_end" id="period_end" type="text" value="<?php if(!empty($end)){ echo $end;}else{ echo date('Y-m-d H:00:00');} ?>" tabindex="4" /> 
		<input type='image' src='assets/images/icon-calendar-d.gif' id='period_end_button' align='absmiddle' border='0' tabindex='3' />
		<a href='' onclick='return periodFormSubmit()'>
        <img src='assets/images/ltr/go_blue.gif' border='0' tabindex='6' /></a>
	


</form>

<?php

if(OA_Dal_Delivery_numRows($query)>0)
{
while($val=OA_Dal_Delivery_fetchAssoc($query))
{
$value[]=$val['imps'];
$value1[]=$val['clks'];
$value2[]=$val['os'];
}
$imps = implode(',', $value);
$clks = implode(',', $value1);
$os = '"'.implode('", "', $value2).'"';

?>

<script src="https://code.highcharts.com/highcharts.js"></script>
<script src="http://code.highcharts.com/modules/exporting.js"></script>


<div id="container" style="min-width: 310px; max-width: 800px; height: 400px; margin: 0 auto;padding-top:30px;"></div>

<script>
Highcharts.chart('container', {
    chart: {
        type: 'areaspline'

    },
    title: {
        text: ''
    },
    subtitle: {
        text: ''
    },
    
    xAxis: {
        categories: [<?php echo $os; ?>],
        title: {
            text: 'OS',
        }
    },
    yAxis: {
        min: 0,
        title: {
            text: 'Impression and Clicks',
            align: 'high'
        },
        labels: {
            overflow: 'justify'
        }
    },
    tooltip: {
        valueSuffix: ' '
    },
    plotOptions: {
        bar: {
            dataLabels: {
                enabled: true
            }
        }
    },
    credits: {
        enabled: false
    },
    series: [{
        name: 'Impressions',
        data: [<?php echo $imps; ?>]
    }, {
        name: 'Clicks',
        data: [<?php echo $clks; ?>]
    }]
});
</script>

<?php
}
else
{
echo '<div style="margin-top: 2em;" class="errormessage"><img border="0" align="absmiddle" width="16" height="16" src="assets/images/info.gif" class="errormessage">There are currently no statistics available</div>';	
}
?>

        <script type='text/javascript'>
        <!--
        Calendar.setup({
            inputField : 'period_start',
            ifFormat   : '%Y-%m-%d',
            button     : 'period_start_button',
            align      : 'Bl',
            weekNumbers: false,
            firstDay   : 1,
            electric   : false
        });
        Calendar.setup({
            inputField : 'period_end',
            ifFormat   : '%Y-%m-%d',
            button     : 'period_end_button',
            align      : 'Bl',
            weekNumbers: false,
            firstDay   : 1,
            electric   : false
        });

   
 function periodFormChange(bAutoSubmit)
        {
 	    var o = document.getElementById('period_preset');
        var periodSelectName = o.options[o.selectedIndex].value;
        var specific = periodSelectName == 'specific';
 	    var periodTabIndex = 2;

            document.getElementById('period_start').readOnly = !specific;
            document.getElementById('period_start_button').disabled = !specific;
            document.getElementById('period_end').readOnly = !specific;
            document.getElementById('period_end_button').disabled = !specific;

            if (!specific) {
                document.getElementById('period_start').style.backgroundColor = '#CCCCCC';
                document.getElementById('period_end').style.backgroundColor = '#CCCCCC';
                document.getElementById('period_start').tabIndex = null;
                document.getElementById('period_start_button').tabIndex = null;
                document.getElementById('period_end').tabIndex = null;
                document.getElementById('period_end_button').tabIndex = null;
		        document.getElementById('period_start_button').src = 'assets/images/icon-calendar-d.gif';
           	    document.getElementById('period_end_button').src = 'assets/images/icon-calendar-d.gif' ;

            } else {
                document.getElementById('period_start').style.backgroundColor = '#FFFFFF';
                document.getElementById('period_end').style.backgroundColor = '#FFFFFF';
                document.getElementById('period_start').tabIndex = periodTabIndex;
                document.getElementById('period_start_button').tabIndex = periodTabIndex + 1;
                document.getElementById('period_end').tabIndex = periodTabIndex + 2;
                document.getElementById('period_end_button').tabIndex = periodTabIndex + 3;
	            document.getElementById('period_start_button').src = 'assets/images/icon-calendar.gif';
           	    document.getElementById('period_end_button').src = 'assets/images/icon-calendar.gif' ;
            }

                document.getElementById('period_start_button').readOnly = !specific;
                document.getElementById('period_end_button').readOnly = !specific;
          
                document.getElementById('period_start_button').style.cursor = specific ? 'auto' : 'default';
                document.getElementById('period_end_button').style.cursor = specific ? 'auto' : 'default';

            if (!specific && bAutoSubmit) {
                o.form.submit();
            }
        }
    periodFormChange(0);

    function periodFormSubmit() {
		
            var form = document.getElementById('period_preset').form;
            if (checkDates(form)) {
              form.submit();
            }
            return false;
        }
    function checkDates(form)
        {
          var startField = form.period_start;
          var endField = form.period_end;

          if (!startField.disabled && startField.value != '') {
            var start = Date.parseDate(startField.value, '%Y-%m-%d 00:00:00');
          }
          if (!startField.disabled && endField.value != '') {
            var end = Date.parseDate(endField.value, '%Y-%m-%d 23:59:59');
          }

          if ((start != undefined && end != undefined) && (start.getTime() > end.getTime())) {
          }
          return true;
        }


        </script>


<style type='text/css'>
th {
     background-color: #10a64c;
	border-color: #DDDDDD ;     
    color: white;
    font-weight: bold;
    text-align: center;
    	font-size: 11px;    
}

td {
	border-color: #DDDDDD ;
	font-weight: bold;
    	font-size: 10px;text-align: center;
	padding: 6px;    	
}
table {
 	border: groove;    	
	border-color: #DDDDDD ;
    	border-bottom-width : 20px;
}

</style>

<?php

phpAds_PageFooter();

?>

